/*
 * EveryBuddy 
 *
 * Copyright (C) 1999, Torrey Searle <tsearle@uci.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * globals.h
 *
 */


#include <gtk/gtk.h>

extern GList *groups;
extern GList *accounts;
extern GList *chat_rooms;
extern GList *away_messages;
extern gint do_logging;
extern gint do_strip_html;
extern gint do_play_sounds;
extern gint do_ignore_unknown;
extern gint do_send_idle_time;
extern gint is_away;
extern gint do_raise_window;
extern gint do_timestamp;
extern gint do_online_sound;
extern gint do_multi_line;
extern gint do_enter_send;
extern gint do_convo_timestamp;
extern gint do_restore_last_conv;
extern gint do_no_sound_when_away;

//extern gchar *DefaultSoundPath;
//extern gint use_typical_sound_method;
//extern gint use_sounddevice;
extern gint do_away_sound;
extern gchar BuddyArriveFilename[1024];
extern gchar BuddyAwayFilename[1024];
extern gchar BuddyLeaveFilename[1024];
extern gchar SendFilename[1024];
extern gchar RecieveFilename[1024];
extern gchar FirstMsgFilename[1024];

extern GtkWidget *away_menu;
char geometry[256];

#ifdef HAVE_ICONV_H
extern gint use_recoding;
extern gchar local_encoding[];
extern gchar remote_encoding[];
#endif
